--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: See the remote and mocked unit test files for example usage. Pay special attention to the contents of the options hash.
- !ruby/struct:SM::Flow::P 
  body: Initial setup instructions can be found in http://cybersource.com/support_center/implementation/downloads/soap_api/SOAP_toolkits.pdf
- !ruby/struct:SM::Flow::P 
  body: Debugging If you experience an issue with this gateway be sure to examine the transaction information from a general transaction search inside the CyberSource Business Center for the full error messages including field names.
- !ruby/struct:SM::Flow::P 
  body: Important Notes
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: AVS and CVV only work against the production server. You will always get back X for AVS and no response for CVV against the test server.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Nexus is the list of states or provinces where you have a physical presence. Nexus is used to calculate tax. Leave blank to tax everyone.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: If you want to calculate VAT for overseas customers you must supply a registration number in the options hash as vat_reg_number.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: productCode is a value in the line_items hash that is used to tell CyberSource what kind of item you are selling. It is used when calculating tax/VAT.
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: All transactions use dollar values.
  type: :BULLET
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://ics2wstest.ic3.com/commerce/1.x/transactionProcessor'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://ics2ws.ic3.com/commerce/1.x/transactionProcessor'"
full_name: ActiveMerchant::Billing::CyberSourceGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: calculate_tax
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: test?
- !ruby/object:RI::MethodSummary 
  name: void
name: CyberSourceGateway
superclass: Gateway
